Edit Application Tier
Edit a tier of an application with specified membership criteria or members list. The membership criteria is defined in terms of virtual machines or IP addresses/subnet. Please refer to API Guide on how to construct membership criteria.
The Entity ID of object requestion information on
tier-id
{
"name": "string",
"entity_id": "string",
"group_membership_criteria": [
{
"membership_type": "string",
"ip_address_membership_criteria": {
"ip_addresses": [
"string"
]
},
"search_membership_criteria": {
"entity_type": "string",
"filter": "string"
}
}
],
"member_list": {
"vms": [
{
"key": {
"entity_id": "18230:1:1158969162",
"entity_type": "VIRTUALMACHINE"
},
"name": "VM1"
},
{
"key": {
"entity_id": "18230:601:863301375",
"entity_type": "EC2INSTANCE"
},
"name": "EC2-VM1"
},
{
"key": {
"entity_id": "18230:1702:264351372",
"entity_type": "AZUREVM"
},
"name": "Azure-VM1"
}
],
"physical_ips": [
{
"key": {
"entity_id": "18230:541:365252372",
"entity_type": "IPENDPOINT"
},
"name": "52.35.41.245"
}
],
"kubernetes_services": [
{
"key": {
"entity_id": "18230:1504:263252172",
"entity_type": "KUBERNETESSERVICE"
},
"name": "KS"
}
]
},
"source_group_entity_id": [
"string"
]
}
name
entity_id
EntityType currently restricted to VirtualMachine
Member list
Entity ID of corresponding tier application.
Created
{
"entity_id": "18230:562:1266458745",
"name": "tier-1",
"entity_type": "Tier",
"group_membership_criteria": [
{
"membership_type": "SearchMembershipCriteria",
"search_membership_criteria": {
"entity_type": "VirtualMachine",
"filter": "security_groups.entity_id = '18230:82:604573173'"
}
},
{
"membership_type": "IPAddressMembershipCriteria",
"ip_address_membership_criteria": {
"ip_addresses": [
"10.0.0.1",
"10.0.0.1/24",
"10.0.0.1-10.0.0.200"
]
}
}
],
"member_list": {
"vms": [
{
"key": {
"entity_id": "18230:1:1158969162",
"entity_type": "VIRTUALMACHINE"
},
"name": "VM1"
},
{
"key": {
"entity_id": "18230:601:863301375",
"entity_type": "EC2INSTANCE"
},
"name": "EC2-VM1"
},
{
"key": {
"entity_id": "18230:1702:264351372",
"entity_type": "AZUREVM"
},
"name": "Azure-VM1"
}
],
"physical_ips": [
{
"key": {
"entity_id": "18230:541:365252372",
"entity_type": "IPENDPOINT"
},
"name": "52.35.41.245"
}
],
"kubernetes_services": [
{
"key": {
"entity_id": "18230:1504:263252172",
"entity_type": "KUBERNETESSERVICE"
},
"name": "KS"
}
]
},
"application": {
"entity_id": "18230:561:271275765",
"entity_type": "Application"
}
}
Bad Request
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
code
message
details
Unauthorized
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
code
message
details
Forbidden
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
code
message
details
Not Found
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
code
message
details
Internal error
{
"code": 0,
"message": "string",
"details": [
{
"code": 0,
"message": "string",
"target": [
"string"
]
}
]
}
code
message
details
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/api/ni/groups/applications/{id}/tiers/{tier-id}